
Redmine - Defect #23964

Processing by WikiController#show as PNG/JPEG Missing template, responding with 404

2016-09-30 16:25 - Stephane Malinet

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.0

Description

Hi,

Files/images uploaded in wiki page doesn't appear on footer page and give 404 when it's called via image link (!!)

My env:

Apache + uWSGI

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   1.9.3-p0 (2011-10-30) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Mercurial                      2.0.2

  Git                            1.7.9.5

  Filesystem                     

Redmine plugins:

  no plugin installed

 Log for uploaded file:

Started POST "/uploads.js?attachment_id=1&filename=2xiruku.jpg&content_type=image%2Fjpeg" for x.x.

x.x at 2016-09-30 15:57:49 +0200

Processing by AttachmentsController#upload as JS

  Parameters: {"attachment_id"=>"1", "filename"=>"2xiruku.jpg", "content_type"=>"image/jpeg"}

  Current user: smalinet (id=5)

Saving attachment '/var/www/crossknowledge.com/ckops/files/2016/09/160930155749_2xiruku.jpg' (7817

 bytes)

  Rendered attachments/upload.js.erb (1.1ms)

Completed 200 OK in 36ms (Views: 7.4ms | ActiveRecord: 4.6ms)

 
Started GET "/projects/operations/wiki/2xiruku.jpg" for 92.103.17.66 at 2016-09-30 16:22:54 +0200

Processing by WikiController#show as JPEG

  Parameters: {"project_id"=>"operations", "id"=>"2xiruku"}

  Current user: smalinet (id=5)

Missing template, responding with 404

Completed 404 Not Found in 12ms (ActiveRecord: 3.1ms)

 Regards.

History

#1 - 2016-09-30 16:51 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Why do you use such very old Ruby?

#2 - 2016-09-30 16:59 - Stephane Malinet
Toshi MARUYAMA wrote:

Why do you use such very old Ruby?

 Because it's a Ubuntu 12.04 server.

#3 - 2016-09-30 18:00 - Toshi MARUYAMA

I recommend you to use rvm or rbenv instead of package ruby.

#4 - 2016-10-01 15:01 - Stephane Malinet

Toshi MARUYAMA wrote:

I recommend you to use rvm or rbenv instead of package ruby.

 
Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.0.0-p648 (2015-12-16) [x86_64-linux-gnu]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Mercurial                      2.0.2

  Git                            1.7.9.5

  Filesystem                     

Redmine plugins:

  no plugin installed

 No problem on a new page.

Sorry for the noise.

#5 - 2016-10-01 18:16 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
